
%global srcname xmltodict
%global py3_prefix python%{python3_pkgversion}

Name:               python-xmltodict
Version:            0.9.0
Release:            2%{?dist}
Summary:            Makes working with XML feel like you are working with JSON

Group:              Development/Libraries
License:            MIT
URL:                https://github.com/martinblech/xmltodict
Source0:            %{pypi_source}

BuildArch:          noarch

BuildRequires:      /usr/bin/pathfix.py
BuildRequires:      python2-devel
BuildRequires:      python-nose


%description
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

    >>> doc = xmltodict.parse("""
    ... <mydocument has="an attribute">
    ...   <and>
    ...     <many>elements</many>
    ...     <many>more elements</many>
    ...   </and>
    ...   <plus a="complex">
    ...     element as well
    ...   </plus>
    ... </mydocument>
    ... """)
    >>>
    >>> doc['mydocument']['@has']
    u'an attribute'
    >>> doc['mydocument']['and']['many']
    [u'elements', u'more elements']
    >>> doc['mydocument']['plus']['@a']
    u'complex'
    >>> doc['mydocument']['plus']['#text']
    u'element as well'


%package -n %{py3_prefix}-xmltodict
Summary:            Makes working with XML feel like you are working with JSON
Group:              Development/Libraries

BuildRequires:      %{py3_prefix}-devel
BuildRequires:      %{py3_prefix}-nose

Requires:           python3

%description -n %{py3_prefix}-xmltodict
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

    >>> doc = xmltodict.parse("""
    ... <mydocument has="an attribute">
    ...   <and>
    ...     <many>elements</many>
    ...     <many>more elements</many>
    ...   </and>
    ...   <plus a="complex">
    ...     element as well
    ...   </plus>
    ... </mydocument>
    ... """)
    >>>
    >>> doc['mydocument']['@has']
    u'an attribute'
    >>> doc['mydocument']['and']['many']
    [u'elements', u'more elements']
    >>> doc['mydocument']['plus']['@a']
    u'complex'
    >>> doc['mydocument']['plus']['#text']
    u'element as well'


%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
pathfix.py -pni "%{python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitelib}
%py2_install
pathfix.py -pni "%{python2} %{py2_shbang_opts}" %{buildroot}%{python2_sitelib}

%check
nosetests
nosetests-%{python3_version}

%files
%license LICENSE
%doc README.md PKG-INFO
%{python_sitelib}/%{srcname}.py*
%{python_sitelib}/%{srcname}-%{version}*

%files -n %{py3_prefix}-xmltodict
%license LICENSE
%doc README.md PKG-INFO
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{srcname}-%{version}-*
%{python3_sitelib}/__pycache__/%{srcname}*


%changelog
* Mon May 11 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 0.9.0-2
- add Python 3 subpackage

* Thu Oct 02 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.0-1
- Update spec file according guidelines 
- Update to upstream release 0.9.0

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 04 2013 Ralph Bean <rbean@redhat.com> - 0.4.2-1
- Latest upstream
- Included README and LICENSE
- Running tests now
- https://github.com/martinblech/xmltodict/pull/11
- Added Requires python3 to the python3 subpackage.

* Fri Jan 04 2013 Ralph Bean <rbean@redhat.com> - 0.4.1-1
- Initial packaging for Fedora
